#ifndef EPHOTOATTR_H
#define EPHOTOATTR_H

#include "eattr.h"
#include "ephoto.h"

namespace Ui {
class ePhotoAttr;
}

class ePhotoAttr : public eAttr
{
    Q_OBJECT
public:
    explicit ePhotoAttr(const ePhoto::Data &data, QWidget *parent = nullptr);
    ~ePhotoAttr();

signals:
    void sResChanged(const QString &);
    void sAttrChanged(const ePhoto::Data &);

public slots:
    void onSelectFile();
    void onAttrChanged();

private:
    Ui::ePhotoAttr *ui;
};

#endif // EPHOTOATTR_H
